﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Change.aspx.cs" Inherits="PasswordChangerWEB.Change" %>

<!DOCTYPE html">
<html ">
	<head id="Head1" runat="server">
		<link href="style.css" rel="stylesheet" type="text/css" />
		<title><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:GlobalResources, Change_lblHeader%>" /></title>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <!-- Bootstrap -->
        <link href="css/bootstrap.min.css" rel="stylesheet">
        
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="/js/jquery-1.11.3.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="/js/bootstrap.min.js"></script>
	</head>
	<body>
        <br /><br />
		<form id="form1" runat="server">
            <div class="container">
                <div class="row">
                    <div class="col-md-4 col-md-offset-4">
                        <div class="login-panel panel panel-default">
                            <div class="panel-heading">
                                <asp:Label ID="lblHeader" runat="server" CssClass="headerField" Text="<%$ Resources:GlobalResources, Change_lblHeader %>" />
                            </div>
                            <div class="panel-body">
                                <div class="form-group">
                                    <asp:TextBox ID="txtNewPass1" runat="server" TextMode="Password" CssClass="form-control" name="password" type="password" placeholder="<%$ Resources:GlobalResources, Change_lblNewPass1 %>" />
                                </div>
                                <div class="form-group">
                                    <asp:TextBox ID="txtNewPass2" runat="server" TextMode="Password" CssClass="form-control" name="password" type="password" placeholder="<%$ Resources:GlobalResources, Change_lblNewPass2 %>" />
                                </div>
                                <div class="form-group">
                                    <asp:TextBox ID="txtEmail" runat="server"  CssClass="form-control" placeholder="<%$ Resources:GlobalResources, Change_lblEmail %>" />
                                </div>
                                <div class="errorfield"><asp:Label ID="lblResults" runat="server" CssClass="resultsField" /></div> <br />
                                <asp:Button ID="btnChange" runat="server" CssClass="btn btn-sm btn-success" OnClick="btnChange_Click" Text="<%$ Resources:GlobalResources, Change_btnChange %>" />
                                <asp:Button ID="btnCancel" runat="server" CssClass="btn btn-sm btn-success" OnClick="btnCancel_Click" CausesValidation="false" Text="<%$ Resources:GlobalResources, Change_btnCancel %>" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>


			<%--<div class="site">
				<div class="site_wrapper">
					<div class="header">
						<div class="headertext">
							<asp:Label ID="lblHeader" runat="server" CssClass="headerField" Text="<%$ Resources:GlobalResources, Change_lblHeader %>" />
						</div>
					</div>
					<div class="content">
					<br />
						<div class="inputrow">
							<div class="lblfield"><asp:Label ID="lblNewPass1" runat="server" CssClass="headerField" Text="" /></div> 
							<div class="inputfield"></div>
							<asp:RequiredFieldValidator CssClass="errorfield" runat="server" ID="rqtxtNewPass1" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_PasswordMissing %>" ControlToValidate="txtNewPass1" Display="Dynamic" ></asp:RequiredFieldValidator>
							<asp:RegularExpressionValidator CssClass="errorfield" runat="server" ID="retxtNewPass1" ControlToValidate="txtNewPass1" Display="Dynamic" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_NotStrongPassword %>" ValidationExpression="^[a-zA-Z0-9 ~!@#$%^&*_\-+=`|\(){}\[\]:;'<>,.?/]{8,50}$"></asp:RegularExpressionValidator>
						</div>
						<div class="inputrow">
							<div class="lblfield"><asp:Label ID="lblNewPass2" runat="server" CssClass="headerField" Text="" /></div> 
							<div class="inputfield"></div>
							<asp:RequiredFieldValidator CssClass="errorfield" runat="server" ID="rqtxtNewPass2" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_PasswordMissing %>" ControlToValidate="txtNewPass2" Display="Dynamic" ></asp:RequiredFieldValidator>
							<asp:CompareValidator CssClass="errorfield" runat="server" ID="cvtxtNewPass2" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_PasswordnotEqual %>" Display="Dynamic" ControlToValidate="txtNewPass1" ControlToCompare="txtNewPass2"></asp:CompareValidator>
						</div>
						<div class="inputrow">
							<div class="lblfield"><asp:Label ID="lblEmail" runat="server" CssClass="headerField" Text="" /></div> 
							<div class="inputfield"></asp:TextBox></div>
							<asp:RequiredFieldValidator CssClass="errorfield" runat="server" ID="rqtxtEmail" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_EmailMissing %>" ControlToValidate="txtEmail" Display="Dynamic" ></asp:RequiredFieldValidator>
							<asp:RegularExpressionValidator CssClass="errorfield" runat="server" ID="retxtEmail" ControlToValidate="txtEmail" Display="Dynamic" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_EmailInvalid %>" ValidationExpression="^[A-Za-z0-9\.!#$%&'*+\-/=?^_`{|}~]{1,64}@[A-Za-z0-9\.\-]{1,253}\.[A-Za-z0-9]{1,50}$"></asp:RegularExpressionValidator>
						</div>
						<div class="inputrow">
							
						</div>
					</div>
					<div class="footer">
						<div class="footertext">
							
						</div>
					</div>
				</div>
			</div>--%>
		</form>
	</body>
</html>
