﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Overview.aspx.cs" Inherits="PasswordChangerWEB.Overview" %>

<!DOCTYPE html">
<html">
	<head id="Head1" runat="server">
		<link href="style.css" rel="stylesheet" type="text/css" />
		<title><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:GlobalResources, Overview_lblHeader%>" /></title>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <!-- Bootstrap -->
        <link href="css/bootstrap.min.css" rel="stylesheet">
        
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="/js/jquery-1.11.3.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="/js/bootstrap.min.js"></script>
	</head>
	<body>
		<form id="form1" runat="server" class="form-horizontal">
            <br /> <br />
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 col-lg-offset-2 col-sm-12 col-sm-offset-0 ">
                        <div class="login-panel panel panel-default">
                            <div class="panel-heading">
                                <asp:Label ID="lblHeader" runat="server" CssClass="headerField" Text="<%$ Resources:GlobalResources, Overview_lblHeader %>" />
                            </div>
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <asp:Label ID="lblFirstname" runat="server" CssClass="col-sm-4" Text="<%$ Resources:GlobalResources, Overview_lblFirstname %>" />
                                            <div class="col-sm-8">
                                                <asp:TextBox ID="txtFirstname" runat="server" CssClass="form-control" Enabled="false" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <asp:Label ID="lblLastname" runat="server" CssClass="col-sm-4" Text="<%$ Resources:GlobalResources, Overview_lblLastname %>" />
                                            <div class="col-sm-8">
                                                <asp:TextBox ID="txtLastname" runat="server" CssClass="form-control" Enabled="false" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" style="display: none;">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <asp:Label ID="lblDaysBeforeExpire" runat="server" CssClass="col-sm-4" Text="<%$ Resources:GlobalResources, Overview_lblDaysBeforeExpire %>" />
                                            <div class="col-sm-8">
                                                <asp:TextBox ID="txtDaysBeforeExpire" runat="server" CssClass="form-control" Enabled="false" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <asp:Label ID="lblRecoveryAddress" runat="server" CssClass="col-sm-4" Text="<%$ Resources:GlobalResources, Overview_lblRecoveryAddress %>" />
                                            <div class="col-sm-8">
                                                <asp:TextBox ID="txtRecoveryAddress" runat="server" CssClass="form-control" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <asp:Label ID="lblChangePassword" runat="server" CssClass="col-sm-4" Text="<%$ Resources:GlobalResources, Overview_lblChangePassword %>" />
                                            <div class="col-sm-8">
                                                <asp:Button runat="server" ID="btnChangePassword" CssClass="btn btn-sm btn-success" OnClick="btnChangePassword_Click" Text="<%$ Resources:GlobalResources, Overview_btnChangePassword %>" />
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="errorfield"><asp:Label ID="lblResults" runat="server" CssClass="resultsField" /></div><br />
                                <asp:Button ID="btnRecoveryAddress" runat="server" CssClass="btn btn-sm btn-success" OnClick="btnRecoveryAddress_Click" Text="<%$ Resources:GlobalResources, Overview_btnRecoveryAddress %>" />
							    <asp:Button ID="btnLogout" runat="server"  CssClass="btn btn-sm btn-success " CausesValidation="false"  OnClick="btnLogout_Click" Text="<%$ Resources:GlobalResources, Overview_btnLogout %>" />

                            </div>
                        </div>
                    </div>
                </div>
            </div>

<%--			<div class="site">
				<div class="site_wrapper">
					<div class="header">
						<div class="headertext">
							
						</div>
					</div>
					<div class="content">
					<br />

						<div class="inputrow">
							<asp:RequiredFieldValidator CssClass="errorfield" runat="server" ID="rqtxtEmail" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_EmailMissing %>" ControlToValidate="txtRecoveryAddress" Display="Dynamic" ></asp:RequiredFieldValidator>
							<asp:RegularExpressionValidator CssClass="errorfield" runat="server" ID="retxtEmail" ControlToValidate="txtRecoveryAddress" Display="Dynamic" ErrorMessage="<%$ Resources:GlobalResources, Change_Error_EmailInvalid %>" ValidationExpression="^[A-Za-z0-9\.!#$%&'*+\-/=?^_`{|}~]{1,64}@[A-Za-z0-9\.\-]{1,253}\.[A-Za-z0-9]{1,50}$"></asp:RegularExpressionValidator>
						</div>
                        <br />
                        <div class="inputrow">
							<div class="lblfield"><asp:Label ID="lblChangePassword" runat="server" CssClass="headerField" Text="<%$ Resources:GlobalResources, Overview_lblChangePassword %>" /></div> 
							<asp:Button ID="btnChangePassword" runat="server" CausesValidation="false" CssClass="submit" OnClick="btnChangePassword_Click" Text="<%$ Resources:GlobalResources, Overview_btnChangePassword %>" />
						</div>

                        <div class="inputrow">
							<div class="errorfield"><asp:Label ID="lblResults" runat="server" CssClass="resultsField"></asp:Label></div>
						</div>
					</div>
					<div class="footer">
						<div class="footertext">
							
						</div>
					</div>
				</div>
			</div>--%>
		</form>
	</body>
</html>