﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Setup.aspx.cs" Inherits="PasswordChangerWEB.Setup" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head id="Head1" runat="server">
		<link href="~/style.css" rel="stylesheet" type="text/css" />
		<title>Setup</title>
	</head>
	<body>
		<form id="form1" runat="server">
			<div class="site">
				<div class="site_wrapper">
					<div class="header">
						<div class="headertext">
							Setup
						</div>
					</div>
					<div class="content_setup">
					<br />
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDomain" Text="Active Directory Domain" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDomain" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDomainSearchString" Text="Search string" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDomainSearchString" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDomainUsername" Text="Active Directory user" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDomainUsername" /></div>
							<label class="errorfield"></label>
						</div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblUseSSL" Text="Use SSL to AD, required for password changes" /></div> 
							<div class="inputfield"><asp:CheckBox runat="server" ID="chbUseSSL" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDomainPassword" Text="Active Directory password" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDomainPassword" TextMode="Password" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblPasswordExpiresInDays" Text="Password expires in days" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtPasswordExpiresInDays" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblResetKeyTimeout" Text="Resetkey timeout" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtResetKeyTimeout" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSessionTimeout" Text="Session timeout" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtSessionTimeout" /></div>
							<label class="errorfield"></label>
						</div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblForceResetEmail" Text="Force users to set Reset e-mail address?" /></div> 
							<div class="inputfield"><asp:CheckBox runat="server" ID="chbForceResetEmail" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDisplayUserPasswords" Text="Display user passwords in debug logging?" /></div> 
							<div class="inputfield"><asp:CheckBox runat="server" ID="chbDisplayUserPasswords" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSmtpHost" Text="SMTP server" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtSmtpHost" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSmtpPort" Text="SMTP server port" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtSmtpPort" /></div>
							<label class="errorfield"></label>
						</div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSMTPSSL" Text="Use SSL to connect to your SMTP server" /></div> 
							<div class="inputfield"><asp:CheckBox runat="server" ID="chbSMTPSSL" /></div>
							<label class="errorfield"></label>
						</div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSmtpUser" Text="SMTP user" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtSmtpUser" /></div>
							<label class="errorfield"></label>
						</div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblSmtpPass" Text="SMTP pass" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtSmtpPass" TextMode="Password" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblRecoveryMailFromAddress" Text="From address" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtRecoveryMailFromAddress" /></div>
							<label class="errorfield"></label>
                        </div>
                        <div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblBlacklistedDomains" Text="Blacklisted domains" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtBlacklistedDomains" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDatabaseServer" Text="Database server" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDatabaseServer" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDatabaseName" Text="Database name" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDatabaseName" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDatabaseUser" Text="Database user" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDatabaseUser" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="lblfieldsetup"><asp:Label runat="server" ID="lblDatabasePassword" Text="Database password" /></div> 
							<div class="inputfield"><asp:TextBox runat="server" ID="txtDatabasePassword" TextMode="Password" /></div>
							<label class="errorfield"></label>
						</div>
						<div class="inputrow">
							<div class="errorfield"><asp:Label ID="lblResults" runat="server" CssClass="resultsField" /></div>
						</div>
					</div>
					<div class="footer">
						<div class="footertext">
							<asp:Button ID="btnSubmit" runat="server" Text="Save" OnClick="btnSubmit_Click" />
                            <a href="../Login.aspx">Go to login page</a>
						</div>
					</div>
				</div>
			</div>
		</form>
	</body>
</html>